# SDIS29-2
## Dépôt Git des programmes sources - SDIS 29.

### Rôles des serveurs

  * **ap32-test** : Serveur web permettant aussi d'effectuer des phases de tests durant le projet avant de l'implimanter sur le serveur **ap32-prod**.
  * **ap32-prod** : Serveur web final.
  * **ap32-mon** : Serveur de Supervision (monitoring) jouant un rôle crucial dans l'administration et la continuité de nos opérations.


### Création initiale des serveurs :

  * Création des serveurs **ap32-prod**, **ap32-test** et **ap32-mon** via un clone intégral de la template Debian-12.7-Template sur pxlab2.
  * Disques redimensionnés de 2Go a 12Go.
  * Définition des adresses IPs : 172.16.0.110/24 pour **ap32-prod**, 172.16.0.111/24 pour **ap32-test** et 172.16.0.112/24 pour **ap32-mon**
  * Ajout de nos clés publiques SSH (id-rsa.pub) sur nos machines physiques dans les machines virtuelles.

### Installation des paquets :

  * Machines définies sur la *timezone* Europe/Paris (UTC +1) avec la commande `timedatectl set-timezone Europe/Paris`
  * Ajout du fichier `/etc/apt/apt.conf` récupéré depuis depl puis déplacer le fichier apt.conf avec `mv apt.conf /etc/apt/` pour pouvoir franchir le proxy.
  * Commande `apt update && apt upgrade -y` effectuée sur chaque machine.


Modification : Adam Alphonso